hcdplay(1)

Name
hcdplay — Control autonomous CDDA playback using Linux CDROM ioctls

Syntax
hcdplay [-CEPRSTs] [-D device] [-p first-track [last-track]]

Description
CD-DA discs in CD-ROM drives can either be played back using Digital Audio Extraction (DAE) where software requests sector by sector, or by using the drive's autonomous playback functions, whereby the drive's firmware will do the sector reading. Software is only required for a few control codes to initiate or terminate playback. (If the drive possesses extra buttons besides the eject function, such as the Sony CDU5221, Autonomous Playback can even be controlled using that method as well.)

With this autonomous play mode, the drive can/will output sound using a variety of methods. Common ones are a 3.5mm headphone jack and a 4-pin Analog Audio connector that is supposed to be connected a soundcard. These are often lacking nowadays, especially external drives, slimline drives, and even internal 5.25" SATA drives. As such, these drives often do not even implement the Autonomous Playback functions anymore (the particular ATA commands are ignored).

Options

-C, --close
    Request that the drive be closed.

-D, --device device
    The path to the CD-ROM device node. Defaults to /dev/sr0.

-E, --eject
    Request that the drive be ejected.

-P, --pause
    Pause playback. This can only be issued if the CD-ROM drive is in the Playing state.

-R, --resume
    Resume playback. This can only be issued if the CD-ROM drive is in the Paused state.

-S, --stop
    Stop playback.

-T, --toc
    Print part of the disc's table of contents (TOC).

-p, --play [first-track [last-track]]
    Start playback of first-track and play until last-track. If no first track is specified, starts from 1. If no last track is specified, it will play until the end of the disc.

-s, --start
    Start playback.

See also
hxtools(7)